
typedef int            mod_name_camac; // CCNNNNNAAAA
typedef unsigned int  bool_camac;
typedef void           (*int_name_function) (void);
typedef unsigned int   camac_L;
typedef unsigned int   camac_r;


typedef struct
{
 unsigned short  ERRCODE;
 bool_camac      X;
 bool_camac      Q;
 bool_camac      LAM;
 bool_camac      I;
 camac_L         L;
 bool_camac      FH;
 bool_camac      FL;

 int             R;
 int             W;
} CAM_DATA;



#ifdef CAMAC_EXPORTS
	#define _CAMFUNC_	extern "C" __declspec(dllexport)
	
#else
	#define _CAMFUNC_	extern "C" __declspec(dllimport)
#endif










//     CAM_DATA
_CAMFUNC_ CAM_DATA* cdata();

//  
_CAMFUNC_ camac_r		ccinit();


//     
_CAMFUNC_ camac_r		cdreg(mod_name_camac *name, int b /* 16,24 */, int c, int n, int a);

//    
_CAMFUNC_ camac_r		cgreg(mod_name_camac name, int *b, int *c, int *n, int *a);

//    
_CAMFUNC_ camac_r		cssa(int f, mod_name_camac name, int *buf, bool_camac *q);



//  ,  
_CAMFUNC_ camac_r		cccz(mod_name_camac name);
_CAMFUNC_ camac_r		cccc(mod_name_camac name);
_CAMFUNC_ camac_r		ccci(mod_name_camac name, bool_camac l);


//   Inhibit   
_CAMFUNC_ camac_r		ctci(mod_name_camac name, bool_camac *l);




//   LAM   
//  L         (24 bit)
_CAMFUNC_ camac_r		ctgl(mod_name_camac name, bool_camac *l);

//      LAM
_CAMFUNC_ camac_r		cclnk(int_name_function int_func);

//      LAM
_CAMFUNC_ camac_r		cculnk();





_CAMFUNC_ int			fnCamac(void);

